plotSummaryProfile {aCGH} | R Documentation

## plotSummaryProfile

### Description

This function display the genomic events and tests for the differences between groups if they are specified.

### Usage

    plotSummaryProfile(aCGH.obj,
                       response = as.factor(rep("All", ncol(aCGH.obj))),
                       titles = unique(response[!is.na(response)]),
                       X = TRUE, Y = FALSE, maxChrom = 23,
                       chrominfo = human.chrom.info.Jul03,
                       num.plots.per.page = length(titles),
                       factor = 2.5, posThres=100, negThres=-0.75)

### Arguments

`aCGH.obj` | an object of aCGH class.
`response` | phenotype to compare. defaults to all the samples being analyzed together.
`titles` | titles for the groups, defaults to the name of the `response`
`X` | logical indicating whether X needs to be shown
`Y` | logical indicating whether Y needs to be shown
`maxChrom` | this parameter controls how many chromosomes will be plotted, from 1 to maxChrom
`chrominfo` | a chromosomal information associated with the mapping of the data
`num.plots.per.page` | number of frequency plots per page. Default is the number of groups
`factor` | `factor` specifies the number by which experimental variability should be multiples. Used only when tumor specific variability in `aCGH.obj` is not NULL. Defaults to 2.5
`posThres` | Threshold for gain. Set very high for homozygous deletion
`negThres` | Threshold for homozygous deletion

### Details

This function utilizes output of the `find.genomic.events` by plotting it and testing between groups. The test are performed using kruskal-wallis rank test.

### See Also

`aCGH` `find.genomic.events`

### Examples

    data(colorectal)

    ## Plotting summary of the sample profiles
    plotSummaryProfile(colorectal)

[Package aCGH version 1.4.1 Index]